/*
 * main.cpp
 *
 *  Created on: 29/apr/2014
 *      Author: bertini
 */

#include <iostream>
#include <vector>

int main() {
	std::vector<int> intVec {1, 4, 5, 6};

	// C++11: auto e funzioni begin() / end()
	for(auto x = begin(intVec); x != end(intVec); x++)
		std::cout << (*x) << std::endl;

	// C++11: ciclo for-each
	for(int& v : intVec) {
		v += 1;
		std::cout << v << std::endl;
	}

	// C++11: auto - notare che il contenuto del vettore è stato cambiato nel ciclo precedente
	for(auto x = intVec.begin(); x != intVec.end(); x++)
			std::cout << (*x) << std::endl;
}


